diff --git a/resources/js/kangoobot/moduleRolGerenteDeMarca/index.js b/resources/js/kangoobot/moduleRolGerenteDeMarca/index.js
index 5593c22..01c1b6f 100644
--- a/resources/js/kangoobot/moduleRolGerenteDeMarca/index.js
+++ b/resources/js/kangoobot/moduleRolGerenteDeMarca/index.js
@@ -3,24 +3,24 @@ import pluginsMain from './plugins/index.js';
 import { requestDataAjax } from './tableTopMedicosPrescriptores/top_prescripciones_medicos/getDataPrescripciones'
 import $ from "jquery";
 //import {graficoOmnicanalidadRolGerenteMarca} from "./omnicanalidad/indexNew.js";
-import {graficoOmnicanalidadRolGerenteMarca} from "./omnicanalidad/components/index";
+import { graficoOmnicanalidadRolGerenteMarca } from "./omnicanalidad/components/index";
 import asignarFiltrosSecundarios from './filtros/index.js';
-import {deshabilitarAlertWidgetCloseUp, removeAlertaVisualWidgetCloseUpRolGerenteMarca} from "./alerts/widgetCloseUp";
+import { deshabilitarAlertWidgetCloseUp, removeAlertaVisualWidgetCloseUpRolGerenteMarca } from "./alerts/widgetCloseUp";
 import IndexPrescripciones from "./omnicanalidad/components/prescripciones";
-import {getVista360} from "../modulePerfilOmnicanal/module_360/components";
+import { getVista360 } from "../modulePerfilOmnicanal/module_360/components";
 import { validarComponenteGraficosCloseUp } from "./prescripciones/index";
 import localforage from "localforage";
 
 
 
-export function rolGerenteMarcaMain(){
-    (document.getElementById('inputBtnRestablecerGraficosPantalla').value === 'RolGerenteDeLinea') ? (document.getElementById('top-search').value = '') : '' ;
+export function rolGerenteMarcaMain() {
+    (document.getElementById('inputBtnRestablecerGraficosPantalla').value === 'RolGerenteDeLinea') ? (document.getElementById('top-search').value = '') : '';
     document.getElementById('containerApiPharmadvisorListadoMedicos').style.display = '';
     document.getElementById('containerSelectorPrincipalGerenteLinea').style.display = 'none';
     $('.divTipoEnvio').addClass('d-none');
 
-    helpRenderContentModule('contentModuleApp','./rolGerenteMarca','GET')
-        .then( ()=>{
+    helpRenderContentModule('contentModuleApp', './rolGerenteMarca', 'GET')
+        .then(() => {
             auxFunction();
         })
 }
@@ -28,10 +28,10 @@ export function rolGerenteMarcaMain(){
 const auxFunction = () => {
     pluginsMain();
     $('#containerQuitar').hide();
+    requestDataAjax();
+    IndexPrescripciones();
     asignarFiltrosSecundarios();
     asignarFuncionesEventsComponentes();
-    IndexPrescripciones();
-    requestDataAjax();
     graficoOmnicanalidadRolGerenteMarca();
 
     let imgWhiteGMarcaOrg = 'assets/images/farma_colombia/icons/rolGerenteMarca_white.png';
@@ -50,19 +50,19 @@ const auxFunction = () => {
     document.getElementById('inputBtnRestablecerGraficosPantalla').value = 'RolGerenteMarca'
 }
 
-let clean_selector_labs_externos =()=>{
+let clean_selector_labs_externos = () => {
     $(`input[data-type='laboratorios']`).prop("checked", false);
 }
 
-let asignarFuncionesEventsComponentes = ()=>{
+let asignarFuncionesEventsComponentes = () => {
 
-     $('#especialidades').on('select2:select', function (e) {
-         document.getElementById('top-search').value = '';
-         localStorage.removeItem('identificacion_medico');
-         interfaceChartComplete();
-     });
+    $('#especialidades').on('select2:select', function (e) {
+        document.getElementById('top-search').value = '';
+        localStorage.removeItem('identificacion_medico');
+        interfaceChartComplete();
+    });
 
-     $('#panelSeleccionada').on('select2:select', function (e) {
+    $('#panelSeleccionada').on('select2:select', function (e) {
         document.getElementById('top-search').value = '';
         localStorage.removeItem('identificacion_medico');
         interfaceChartComplete();
@@ -70,29 +70,35 @@ let asignarFuncionesEventsComponentes = ()=>{
 
     $('#marcaSeleccionada').on('select2:select', function (e) {
         clean_selector_labs_externos();
+        // console.log('marcaSeleccionada');
+        if (localStorage.getItem('cod_evento')) {
+            console.log('Entre');
+            
+            limpiarEventos();
+        }
         interfaceChartComplete();
     });
 
-    $("input[name='lineasCheckRolGerente[]']").on('change',(e)=> {
+    $("input[name='lineasCheckRolGerente[]']").on('change', (e) => {
         let itemActual = e.currentTarget;
         validarCheck(itemActual.value, itemActual.name);
         interfaceChartComplete(true)
     });
 
-    $("input[name='SublineasCheckRolGerente[]']").on('change',(e)=> {
+    $("input[name='SublineasCheckRolGerente[]']").on('change', (e) => {
         let itemActual = e.currentTarget;
         validarCheck(itemActual.value, itemActual.name);
         interfaceChartComplete(true)
     });
 
-    $("input[name='canalCheckRolGerente[]']").on('change',(e)=> {
+    $("input[name='canalCheckRolGerente[]']").on('change', (e) => {
         let itemActual = e.currentTarget;
         validarCheck(itemActual.value, itemActual.name);
         interfaceChartComplete(true)
     });
 
-    $("input[name='closeUpCheck[]']").on('change',(e)=> {
-        let labs =[]
+    $("input[name='closeUpCheck[]']").on('change', (e) => {
+        let labs = []
         $("input[data-type='laboratorios']:checked").each(function () {
             labs.push($(this).val());
         })
@@ -103,7 +109,7 @@ let asignarFuncionesEventsComponentes = ()=>{
     $(".contentCallItemListMedicosApi").on('change', () => {
         interfaceChartComplete(true);
 
-        $('.inputCheckCloseUpMS, .inputCheckCloseUpPrescF, .inputCheckCloseUpVSCom').each(function() {
+        $('.inputCheckCloseUpMS, .inputCheckCloseUpPrescF, .inputCheckCloseUpVSCom').each(function () {
             if (!$(this).is(':checked')) {
                 $(this).prop('checked', true).trigger('change');
             }
@@ -117,7 +123,7 @@ let asignarFuncionesEventsComponentes = ()=>{
 
 
 
-    $('#opt-rx-unidades-ms').on('select2:select',  async function (e) {
+    $('#opt-rx-unidades-ms').on('select2:select', async function (e) {
 
         let response = await localforage.getItem('validarComponenteGraficosCloseUp');
         validarComponenteGraficosCloseUp(response.data);
@@ -126,33 +132,33 @@ let asignarFuncionesEventsComponentes = ()=>{
     });
 }
 
-export function interfaceChartComplete(){
-    IndexPrescripciones();
+export function interfaceChartComplete() {
     requestDataAjax();
     graficoOmnicanalidadRolGerenteMarca();
+    IndexPrescripciones();
 }
 
-function graficaEventPrescripcionesTable(){
+function graficaEventPrescripcionesTable() {
     requestDataAjax(true);
 }
-const validarCheck = (valorMarcado,nameInputCheck='') => {
-    let auxItemsMarcados=[];
+const validarCheck = (valorMarcado, nameInputCheck = '') => {
+    let auxItemsMarcados = [];
 
-    $("input[name='"+nameInputCheck+"']:checked").each(function () {
+    $("input[name='" + nameInputCheck + "']:checked").each(function () {
         auxItemsMarcados.push(($(this).val()).toUpperCase());
     })
 
-    if(auxItemsMarcados.find(element => (element === 'TODOS' || element === 'TODAS') ) && auxItemsMarcados.length > 1){
+    if (auxItemsMarcados.find(element => (element === 'TODOS' || element === 'TODAS')) && auxItemsMarcados.length > 1) {
 
-        if(valorMarcado.toUpperCase()==='TODOS' || valorMarcado.toUpperCase()==='TODAS'){
-            $("input[name='"+nameInputCheck+"']").each(function () {
-                if ( (($(this).val()).toUpperCase()) !== 'TODOS' && (($(this).val()).toUpperCase()) !== 'TODAS' ){
+        if (valorMarcado.toUpperCase() === 'TODOS' || valorMarcado.toUpperCase() === 'TODAS') {
+            $("input[name='" + nameInputCheck + "']").each(function () {
+                if ((($(this).val()).toUpperCase()) !== 'TODOS' && (($(this).val()).toUpperCase()) !== 'TODAS') {
                     this.checked = false;
                 }
             })
-        }else if (valorMarcado.toUpperCase()!=='TODOS' || valorMarcado.toUpperCase()!=='TODAS'){
-            $("input[name='"+nameInputCheck+"']:checked").each(function () {
-                if ((($(this).val()).toUpperCase()) === 'TODOS' || (($(this).val()).toUpperCase()) === 'TODAS'){
+        } else if (valorMarcado.toUpperCase() !== 'TODOS' || valorMarcado.toUpperCase() !== 'TODAS') {
+            $("input[name='" + nameInputCheck + "']:checked").each(function () {
+                if ((($(this).val()).toUpperCase()) === 'TODOS' || (($(this).val()).toUpperCase()) === 'TODAS') {
                     this.checked = false;
                 }
             })
@@ -160,8 +166,16 @@ const validarCheck = (valorMarcado,nameInputCheck='') => {
 
     }
 
+}
 
 
+function limpiarEventos() {
+    document.querySelectorAll('.highlight-row').forEach(element => {
+        element.classList.remove('highlight-row');
+    });
+    localStorage.removeItem('cod_evento');
 
 }
+
+
 export default rolGerenteMarcaMain;
diff --git a/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/WidgetChartOmnicanalidadRolGerenteMarcaPorPeriodos.js b/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/WidgetChartOmnicanalidadRolGerenteMarcaPorPeriodos.js
index b871b08..be5b674 100644
--- a/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/WidgetChartOmnicanalidadRolGerenteMarcaPorPeriodos.js
+++ b/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/WidgetChartOmnicanalidadRolGerenteMarcaPorPeriodos.js
@@ -4,6 +4,8 @@ import $ from "jquery";
 
 const WidgetChartOmnicanalidadRolGerenteMarcaPorPeriodos = (paramsRequest) => {
 
+    // console.log(paramsRequest);
+
     fetch('./datasetChartOmnicanalidadPorPeriodos', paramsRequest)
         .then(response => {
             //document.getElementById('containerLaoderPerfilOmnicanalEvolucionReporte').style.display = `none`;
@@ -27,16 +29,6 @@ const WidgetChartOmnicanalidadRolGerenteMarcaPorPeriodos = (paramsRequest) => {
                 'WHATSAPP': { nameChanel: 'WHATSAPP', label: 'Whatsapp', data: [], color: 'rgba(0,253,221,0.96)', backgroundColor: 'rgba(0,253,221,0.96)' },
                 'PRESENCIAL': { nameChanel: 'PRESENCIAL', label: 'Presencial', data: [], color: 'rgba(253,0,76,0.96)', backgroundColor: 'rgba(253,0,76,0.96)' },
             };
-
-            /*let canalesConfigBaseChartPerfilOmnicanal_efectividad = {
-                'MAIL_EFEC':{nameChanel:'MAIL-EFEC', label:'Efectividad',data:[],data_efectividad:[],borderColor:'rgb(10, 207, 151)',backgroundColor:'rgb(10, 207, 151)', type:'line', yAxisID: 'y1'},
-                'WEBINARS_EFEC':{nameChanel:'WEBINARS-EFEC',label:'Efectividad',data:[],data_efectividad:[],borderColor:'rgba(32,140,225,0.82)',backgroundColor:'rgba(32,140,225,0.82)', type:'line', yAxisID: 'y1'},
-                'LUDICOS_EFEC':{nameChanel:'LUDICOS-EFEC',label:'Efectividad',data:[],data_efectividad:[],borderColor:'rgba(208,0,255,0.79)',backgroundColor:'rgba(208,0,255,0.79)', type:'line',yAxisID: 'y1'},
-                'HIBRIDOS_EFEC':{nameChanel:'HIBRIDOS-EFEC',label:'Efectividad',data:[],data_efectividad:[],borderColor:'rgba(255,145,0,0.79)',backgroundColor:'rgba(255,145,0,0.79)', type:'line',yAxisID: 'y1'},
-                'WHATSAPP_EFEC':{nameChanel:'WHATSAPP-EFEC',label:'Efectividad',data:[],data_efectividad:[],borderColor:'rgba(0,253,221,0.96)',backgroundColor:'rgba(0,253,221,0.96)', type:'line',yAxisID: 'y1'},
-                'PRESENCIAL_EFEC':{nameChanel:'PRESENCIAL-EFEC',label:'Efectividad',data:[],data_efectividad:[],borderColor:'rgba(253,0,76,0.96)',backgroundColor:'rgba(253,0,76,0.96)', type:'line',yAxisID: 'y1'},
-            };*/
-
             let canalesConfigBaseChartPerfilOmnicanal_efectividad = {
                 'MAIL_EFEC': { nameChanel: 'MAIL', label: 'Mail', data: [], data_efectividad: [], color: 'rgb(10, 207, 151)', backgroundColor: 'rgb(10, 207, 151)', type: 'line', yAxisID: 'y', pointStyle: 'rectRot', pointBorderColor: 'rgb(0, 0, 0)' },
                 'WEBINARS_EFEC': { nameChanel: 'WEBINARS', label: 'Webinars', data: [], data_efectividad: [], color: 'rgba(32,140,225,0.82)', backgroundColor: 'rgba(32,140,225,0.82)', type: 'line', yAxisID: 'y', pointStyle: 'rectRot', pointBorderColor: 'rgb(0, 0, 0)' },
@@ -63,7 +55,7 @@ const WidgetChartOmnicanalidadRolGerenteMarcaPorPeriodos = (paramsRequest) => {
                             value_efectividad = ((element[1].participacion_total[indexMes] / num_inscritos) * 100) / element[1].kpi[indexMes];
                         } else if (element[0] === 'WHATSAPP') {
                             value_efectividad = ((element[1].participacion_total[indexMes] / num_inscritos) * 100) / element[1].kpi[indexMes];
-    
+
                         } else if (element[0] === 'LUDICOS' || element[0] === 'PRESENCIAL') {
                             if (element[1].kpi[indexMes] !== 0) {
                                 value_efectividad = element[1].participacion_total[indexMes] / element[1].kpi[indexMes];
diff --git a/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/WidgetInfoDetalleOmnicanalidadRolGerenteMarca.js b/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/WidgetInfoDetalleOmnicanalidadRolGerenteMarca.js
index 7768585..dbe57ce 100644
--- a/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/WidgetInfoDetalleOmnicanalidadRolGerenteMarca.js
+++ b/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/WidgetInfoDetalleOmnicanalidadRolGerenteMarca.js
@@ -78,7 +78,7 @@ const printEfectividadPorCanal = (canales) => {
             hilera.className = 'text-info';
 
             hilera.addEventListener('click', (e) => {
-
+                // Obtener todos los checkboxes y marcarlos como seleccionados si no lo están
                 var checkboxes = $('.inputCheckCloseUpMS, .inputCheckCloseUpPrescF, .inputCheckCloseUpVSCom');
                 checkboxes.each(function () {
                     if (!$(this).is(':checked')) {
@@ -86,10 +86,30 @@ const printEfectividadPorCanal = (canales) => {
                         $(this).trigger('change');
                     }
                 });
-                document.getElementById("filter-campaing-by-cod_event-modulegm").value = dataEvento[0].cod_evento;
-                localStorage.setItem('cod_evento', dataEvento[0].cod_evento);
+
+                // Agregar el nuevo cod_evento al arreglo en localStorage
+                const codEvento = dataEvento[0].cod_evento;
+                let codEventos = JSON.parse(localStorage.getItem('cod_evento')) || []; // Obtener arreglo existente o iniciar uno nuevo
+
+                if (!codEventos.includes(codEvento)) { // Evitar duplicados
+                    codEventos.push(codEvento); // Agregar nuevo cod_evento
+                    localStorage.setItem('cod_evento', JSON.stringify(codEventos)); // Guardar arreglo actualizado
+                }
+
+                // Formatear los datos como cadena sin corchetes
+                const codEventosFormatted = codEventos.join(',');
+
+                // Actualizar el input con los valores formateados (sin corchetes)
+                document.getElementById("filter-campaing-by-cod_event-modulegm").value = codEventosFormatted;
+
+
+                // Alternativamente, usar una clase CSS
+                hilera.classList.add('highlight-row');
+
+                // Llamar a la función después de actualizar localStorage
                 interfaceChartComplete();
-            })
+            });
+
 
             if (dataEvento.length === 1) {
                 hilera.innerHTML = `<td class="text-center"><small class="text-danger mdi mdi-account-arrow-left"></small></td><td class="wi-80 p-1">${`<a class="linkMedicoGraficaTableRolRegerenteMarca" data-replace="Filtrar"><span class="text-info">` + dataEvento[0].nombre_evento + `</span></a>`}</td><td class="wi-30">${moment(dataEvento[0].fecha_evento).format("MMM Do YY")}</td>`;
@@ -134,8 +154,6 @@ const printEfectividadPorCanal = (canales) => {
         }
         efectividad = isNaN(efectividad) ? 0 : efectividad;
 
-        let porcentajeObjetivo = canal === 'MAIL' || canal === 'WHATSAPP' ? '%' : '';
-
         let tittle = canal;
         let titleLabel = tittle;
 
@@ -147,23 +165,29 @@ const printEfectividadPorCanal = (canales) => {
 
         let titleCanal = `<div class="row"><small class="font-12 mdi text-danger align-middle me-1"><b>${titleLabel}</b></small></div>`;
         let pieTitle = `<div class="row"><small class="text-danger"><b>---------------------</b></small></div>`;
-        let totalEnviosInscritos = '<div class="row"><small class="mdi mdi-checkbox-blank-circle text-info align-middle me-1">Total envios/inscritos: ' + (inscritos_envios) + '</small></div>';
+        let totalEnviosInscritos = '<div class="row"><small class="mdi mdi-checkbox-blank-circle text-info align-middle me-1">Total envios/inscritosasas: ' + (inscritos_envios) + '</small></div>';
         let totalAperturasAsistencias = '<div class="row"><small class="mdi mdi-checkbox-blank-circle text-info align-middle me-1">Total de aperturas/asistencias: ' + (participacion) + ' Aperturas/Asistencias</small></div>';
         //
         let porcentajeEsperadoCanal = `<div class="row"><small class="mdi mdi-checkbox-blank-circle text-info align-middle me-1">Efectividad esperada: ${kpi}${(tittle === 'MAIL' || element.label === 'WHATSAPP') ? '% Lecturas' : ' Asistencias'}</small></div>`;
         let porcentajeCanal = `<div class="row"><small class="mdi mdi-checkbox-blank-circle text-info align-middle me-1">Efectividad alcanzada: ${efectividad}${(tittle === 'MAIL' || element.label === 'WHATSAPP') ? '% Lecturas' : '% Asistencias'}</small></div>`;
         let TotalCampanas = `<div class="row"><small class="mdi mdi-checkbox-blank-circle text-info align-middle me-1">Total Campañas: ${auxData.campanas} Campañas</small></div>`;
-        let listadoNombreEvento = '<div class="row"><small class="mdi mdi-checkbox-blank-circle text-info align-middle me-1">Nombre de Eventos/${titleLabel}</small></div>';
 
         totalCampañas += auxData.campanas;
 
-        let printDatos = titleCanal + pieTitle + totalEnviosInscritos + totalAperturasAsistencias + porcentajeEsperadoCanal + porcentajeCanal + TotalCampanas + listadoNombreEvento;
+        let printDatos = titleCanal + pieTitle + totalEnviosInscritos + totalAperturasAsistencias + porcentajeEsperadoCanal + porcentajeCanal + TotalCampanas;
 
         document.querySelector('#container' + tittle).innerHTML = printDatos;
     });
     document.getElementById('label-total-eventos-campañas-rol-gerente-marca').innerHTML = totalCampañas;
+    darColorRegistros('#table-list-gMarca-WEBINARS');
+    darColorRegistros('#table-list-gMarca-MAIL');
+    darColorRegistros('#table-list-gMarca-WHATSAPP');
+    darColorRegistros('#table-list-gMarca-LUDICOS');
+    darColorRegistros('#table-list-gMarca-HIBRIDOS');
+    darColorRegistros('#table-list-gMarca-PRESENCIAL');
 }
 
+
 export const limpiarWidgetInfoDetalleOmnicanalidadRolGerenteMarca = () => {
     document.querySelector('#containerMAIL').innerHTML = '';
     document.querySelector('#containerWEBINARS').innerHTML = '';
@@ -181,4 +205,22 @@ export const limpiarWidgetInfoDetalleOmnicanalidadRolGerenteMarca = () => {
     document.querySelector('#table-list-events-PRESENCIAL').innerHTML = '';
 }
 
+const darColorRegistros = (tabla) => {
+    $(`${tabla} tbody tr`).each(function (index) {
+        $(this).removeClass('thead-reciclar-green-1').removeClass('thead-reciclar-orange-1');
+        if ((index % 2) == 0) {
+            $(this).addClass('thead-reciclar-orange-1');
+        }
+    });
+    $(`${tabla} tbody tr`).hover(function () {
+        $(this).removeClass('thead-reciclar-orange-1');
+    }, function () {
+        $(this).removeClass('thead-reciclar-green-1').removeClass('thead-reciclar-orange-1');
+        if (($(this).index() % 2) == 0) {
+            $(this).addClass('thead-reciclar-orange-1');
+        }
+    });
+}
+
+
 export default WidgetInfoDetalleOmnicanalidadRolGerenteMarca;
diff --git a/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/index.js b/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/index.js
index d92eee5..5dfdc2a 100644
--- a/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/index.js
+++ b/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/index.js
@@ -2,6 +2,7 @@ import $ from "jquery";
 import WidgetChartOmnicanalidadRolGerenteMarcaPorPeriodos from "./WidgetChartOmnicanalidadRolGerenteMarcaPorPeriodos";
 import WidgetInfoDetalleOmnicanalidadRolGerenteMarca, {limpiarWidgetInfoDetalleOmnicanalidadRolGerenteMarca} from "./WidgetInfoDetalleOmnicanalidadRolGerenteMarca";
 import getGraficoOmnicanalidadRolGerenteMarca from "../getGraficoOmnicanalRolGerenteMarca";
+import { isArray } from "lodash";
 
 
 export const graficoOmnicanalidadRolGerenteMarca = () => {
@@ -21,7 +22,9 @@ export const graficoOmnicanalidadRolGerenteMarca = () => {
         let paramsRequest = getParamsRequest(canalesRepresentar,MarcasRepresentar,lineasRepresentar,especialidadesRepresentar,subLineasRepresentar,panelesRepresentar);
         // Http Request Fetch Api
         WidgetChartOmnicanalidadRolGerenteMarcaPorPeriodos(paramsRequest);
-        WidgetInfoDetalleOmnicanalidadRolGerenteMarca(paramsRequest);
+        if (!localStorage.getItem('cod_evento')) {
+            WidgetInfoDetalleOmnicanalidadRolGerenteMarca(paramsRequest);
+        }
         loaderDesactive();
     }
 }
@@ -38,7 +41,9 @@ const clearViewWidgets = () => {
 const getParamsRequest = (canalesRepresentar,marcasRepresentar,LineasRepresentar,especialidadesRepresentar,SubLineasRepresentar,PanelesRepresentar) => {
 
     let form = new FormData();
-    let filter_cod_evento = document.getElementById('filter-campaing-by-cod_event-modulegm').value;
+    let filter_cod_evento = $('#filter-campaing-by-cod_event-modulegm').val();
+
+    
 
     form.append("fecha_evento", $('#fecha-rango-grafica').val());
     form.append("tipo_canal", canalesRepresentar);
@@ -47,7 +52,7 @@ const getParamsRequest = (canalesRepresentar,marcasRepresentar,LineasRepresentar
     SubLineasRepresentar.estado ? form.append("sub_linea", SubLineasRepresentar.opciones) : '';
     PanelesRepresentar.estado ? form.append("origen", PanelesRepresentar.opciones) : '';
     especialidadesRepresentar.estado ? form.append("especialidad", especialidadesRepresentar.opciones) : '';
-    filter_cod_evento.length > 0 ? form.append("cod_evento", filter_cod_evento) : '';
+    filter_cod_evento.length > 2 ? form.append("cod_evento", filter_cod_evento) : '';
 
     // Filtros opcionales especificos
 
diff --git a/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/prescripciones/WidgetTableTopMedicosPrescriptores.js b/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/prescripciones/WidgetTableTopMedicosPrescriptores.js
index 080d7a4..cf2a954 100644
--- a/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/prescripciones/WidgetTableTopMedicosPrescriptores.js
+++ b/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/prescripciones/WidgetTableTopMedicosPrescriptores.js
@@ -68,6 +68,8 @@ const printTable = (data_table_top, columnaP = false) => {
 }
 
 const printLabelTrimestresMoviles = (periodos) => {
+    // console.log('periodos', periodos);
+    
     $('#labelRangoFechaPeriodosTableTopMedicosRolGerenteMarca').html(`<b> ${moment(periodos[0].fechaminima).format('MMM-YY')} / ${moment(periodos[0].fechamaxima).format('MMM-YY')} </b>`)
 }
 
diff --git a/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/prescripciones/index.js b/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/prescripciones/index.js
index cc4f620..4cfa0e2 100644
--- a/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/prescripciones/index.js
+++ b/resources/js/kangoobot/moduleRolGerenteDeMarca/omnicanalidad/components/prescripciones/index.js
@@ -44,7 +44,7 @@ const getParamsRequest = (canalesRepresentar, especialidadesRepresentar,marcasRe
     panelesRepresentar.estado ? form.append("origen", panelesRepresentar.opciones) : '';
     marcasRepresentar.estado ? form.append("marcas", marcasRepresentar.opciones) : '' ;
     LineasRepresentar.estado ? form.append("linea", LineasRepresentar.opciones) : '' ;
-    filter_cod_evento.length > 0 ? form.append("cod_evento", filter_cod_evento) : '' ;
+    filter_cod_evento.length > 2 ? form.append("cod_evento", filter_cod_evento) : '' ;
 
 
     return {
diff --git a/resources/js/kangoobot/moduleRolGerenteDeMarca/prescripciones/index.js b/resources/js/kangoobot/moduleRolGerenteDeMarca/prescripciones/index.js
index 9458383..263ff66 100644
--- a/resources/js/kangoobot/moduleRolGerenteDeMarca/prescripciones/index.js
+++ b/resources/js/kangoobot/moduleRolGerenteDeMarca/prescripciones/index.js
@@ -309,93 +309,6 @@ let calcularMarketShare = (dataCalculadaFarma, dataCalculadaCompetencia, dataset
          //  console.log(fullNameStudentsMap)*/
 }
 
-let filtrarDatos = (dataOriginal) => {
-
-    let data_original = dataOriginal;
-    let aux_data_filtro = data_original;
-    let result_data_filtro = [];
-    let result_item_filtro = [];
-    let result_total_filtro = [];
-    let sw_filtro_previo = false;
-
-
-    if (sw_linea === true) {
-
-        if (sw_filtro_previo === true) {
-            aux_data_filtro = result_item_filtro;
-        }
-
-        aux_acum_item_linea.forEach(function (lineaElement) {
-            result_data_filtro = aux_data_filtro.filter(p => p.linea === lineaElement);
-            if (result_data_filtro.length === 0) {
-                alert('item no encontrado', lineaElement);
-            } else {
-                result_item_filtro = result_item_filtro.concat(result_data_filtro);
-                sw_filtro_previo = true;
-            }
-        });
-    }
-
-    if (sw_SubLinea === true) {
-
-        if (sw_filtro_previo === true) {
-            aux_data_filtro = result_item_filtro;
-        }
-        aux_acum_item_Sublinea.forEach(function (subLineaElement) {
-            result_data_filtro = aux_data_filtro.filter(p => p.sub_linea === subLineaElement);
-            if (result_data_filtro.length === 0) {
-                alert('item no encontrado', subLineaElement);
-            } else {
-                result_item_filtro = result_item_filtro.concat(result_data_filtro);
-                sw_filtro_previo = true;
-            }
-        });
-    }
-
-    if (sw_ciudad === true) {
-
-        if (sw_filtro_previo === true) {
-            aux_data_filtro = result_item_filtro;
-        }
-
-        aux_acum_item_ciudad.forEach(function (lineaElement) {
-            result_data_filtro = aux_data_filtro.filter(p => p.ciudad === lineaElement);
-            if (result_data_filtro.length === 0) {
-                alert('item no encontrado', lineaElement);
-            } else {
-                result_item_filtro = result_item_filtro.concat(result_data_filtro);
-                sw_filtro_previo = true;
-            }
-        });
-    }
-
-    if (sw_panel === true) {
-
-        if (sw_filtro_previo === true) {
-            aux_data_filtro = result_item_filtro;
-        }
-
-        aux_acum_item_panel.forEach(function (lineaElement) {
-            result_data_filtro = aux_data_filtro.filter(p => p.panel === lineaElement);
-            if (result_data_filtro.length === 0) {
-                alert('item no encontrado', lineaElement);
-            } else {
-                result_item_filtro = result_item_filtro.concat(result_data_filtro);
-                sw_filtro_previo = true;
-            }
-        });
-    }
-
-    result_total_filtro = result_item_filtro.sort((a, b) => moment(a.fecha) - moment(b.fecha));
-
-    //  console.log('DATA FILTRADA Y ORDENADA', result_total_filtro);
-
-    return result_total_filtro;
-
-    /*    //Pasar a Calculos de Ejes
-        obtenerCalculoEjes(result_total_filtro);*/
-}
-
 let obtenerCalculoEjes = (dataArrayGrafico) => {
 
     //Obtener ejes a partir del array entregado
@@ -693,6 +606,9 @@ var generarGrafico1Nuevo = function (eje_x, eje_y, market_share, eje_x_competenc
         ];
     }
 
+    // console.log('DATA CAMPANAS', dataCampanas);
+    
+
     data.datasets.push({ name: 'Campañas', data: dataCampanas.map(serie => serie.campanas), color: '#000000', label: 'Campañas' });
 
     data.datasets.forEach(item => {
diff --git a/resources/js/kangoobot/moduleRolGerenteDeMarca/tableTopMedicosPrescriptores/top_prescripciones_medicos/getDataPrescripciones.js b/resources/js/kangoobot/moduleRolGerenteDeMarca/tableTopMedicosPrescriptores/top_prescripciones_medicos/getDataPrescripciones.js
index 9ab880b..8efdc09 100644
--- a/resources/js/kangoobot/moduleRolGerenteDeMarca/tableTopMedicosPrescriptores/top_prescripciones_medicos/getDataPrescripciones.js
+++ b/resources/js/kangoobot/moduleRolGerenteDeMarca/tableTopMedicosPrescriptores/top_prescripciones_medicos/getDataPrescripciones.js
@@ -186,10 +186,15 @@ export const requestDataAjax = async (chartPres = false, requestLaboratoriosExte
     }
 
     //VALIDATE ANTES DE REALIZAR REQUEST
+    // console.log('TIPO CONSULTGAAAAAAA', swTipoConsulta, swTipoConsulta.length);
+    
     if (swTipoConsulta.length > 0) {
 
         let objCloseUp = obtenerValorCloseUpRolGerenteMarca();
 
+        // console.log('objeto closeuasiosf', objCloseUp);
+        
+
         if (objCloseUp.sw_closeUp){
             swEjecutarAlgoritmo = true;
             removeAlertaVisualWidgetCloseUpRolGerenteMarca();
@@ -231,6 +236,9 @@ export const requestDataAjax = async (chartPres = false, requestLaboratoriosExte
 
     let response;
 
+    // console.log('Ejecutar algoritmo', swEjecutarAlgoritmo);
+    
+
     if (swEjecutarAlgoritmo){
         // REQUEST
         response = await dataRxComplete(form);
